WordPress.org

Ready to get started?Download WordPress

Forums

Viper's Video Quicktags
[resolved] 6.4.4 JS error in admin (4 posts)

  1. Drew Baker
    Member
    Posted 1 year ago #

    I have no plugins installed, and the default theme active. With WP 3.5 and plugin 6.4.4 you get these JS errors when browsing any page of the backend.

    https://dl.dropbox.com/u/15723261/viper-error.png

    http://wordpress.org/extend/plugins/vipers-video-quicktags/

  2. Alex Mills (Viper007Bond)
    Moderator
    Plugin Author

    Posted 1 year ago #

    Hmm, can you try clearing your browser cache perhaps?

    There was a JavaScript error related to the editor with v6.4.3 of my plugin and WP 3.5 but I fixed it in v6.4.4. I didn't see any other error messages while I was fixing that.

    EDIT: That line of JavaScript is in SWFObject, a script my plugin uses. I still can't reproduce the error, but it is wrongly being loaded on the backend of the site. I'll fix that part.

    EDIT #2: Fixed SWFObject being loaded all the time in the development version but will wait to release a new version until your issue is tracked down.

  3. Drew Baker
    Member
    Posted 1 year ago #

    Hey Alex,

    I cleared my cache, and the error has gone away. So I guess it was a hold over file from 6.4.3. Thanks for the help, glad that we at least identified the SWFobject unneeded load.

    Also, while I have you here. If it's not to much to ask, could you include proper iOS YouTube imbedding in a future version?
    http://wordpress.org/support/topic/plugin-vipers-video-quicktags-youtube-image-link-shown-on-ios

    Thanks for the great work Alex!

  4. Alex Mills (Viper007Bond)
    Moderator
    Plugin Author

    Posted 1 year ago #

    I recommend you embed using core WordPress's embed functionality instead of my plugin if you want iOS support: http://codex.wordpress.org/Embeds

    Honestly that's what I use these days.

    I started on a rewrite of my plugin that builds on top of that functionality but have lacked interest because core's support is just fine.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic